# Class Cancellation

Indicates that an operation was cancelled.

#####
Index

### Constructors

constructor

### Properties

reason
token

##
Constructors

### constructor

- new Cancellation(reason?, token?): Cancellation

- #### Parameters

  - `Optional` reason: unknown
  - `Optional` token: CancelToken

  #### Returns Cancellation

##
Properties

### reason

reason: unknown

The reason for cancellation.

### token

token: CancelToken

The cancel token that triggered the cancellation.